Bug 1043115 - mitter cannot be authorized [NEEDINFO]
Summary: mitter cannot be authorized
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mitter
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-14 01:11 UTC by Christian Kujau
Modified: 2016-07-19 10:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:47:31 UTC
redhat: needinfo? (extras-qa)


Attachments (Terms of Use)

Description Christian Kujau 2013-12-14 01:11:23 UTC
Description of problem:

Upon start, mitter asks for username/password (for Twitter, I suppose). Although I provide the correct credentials, mitter fails with:

  Autorization error, check your login information in the prefrences

And on the console:

$ mitter 
** (mitter:7164): WARNING **: expected enumeration type PangoWrapMode, but got GtkWrapMode instead
INFO:mitterlib.threadhttp.1:Got HTTP Status 401 from twitter.com
ERROR:ui.pygtk:User is not authorized yet
INFO:mitterlib.threadhttp.2:Got HTTP Status 401 from twitter.com

Version-Release number of selected component (if applicable):

mitter-0.4.5-7.fc20.noarch

How reproducible:

always

Steps to Reproduce:
1. Start mitter
2. Provider twitter credentials
3. Autorization error, check your login information in the prefrences

Actual results:

 Autorization error, check your login information in the prefrences

Expected results:

"mitter" should be able to login to Twitter or try to engange the "authorize this application" process as other Twitter clients do.

Additional info:

$ yum info mitter | grep URL
URL         : http://code.google.com/p/mitter/

This URL is no more (404) and I don't know if "mitter" is still alive. If it's not, that would explain that it's not working any more, as Twitter changed its API in 2013. Cf. bug 975030 for example.

Comment 1 Fedora End Of Life 2015-05-29 09:59:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 13:30:51 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Christian Kujau 2015-07-29 17:28:36 UTC
"Mitter" seems to start on Fedora 22, but posting messages still does not work:

[dummy@fedora0 ~]$ mitter -s
Gtk-Message: Failed to load module "canberra-gtk-module"

** (mitter:8318): WARNING **: expected enumeration type PangoWrapMode, but got GtkWrapMode instead
INFO:mitterlib.threadhttp.2:Got HTTP Status 404 from twitter.com
INFO:mitterlib.threadhttp.1:Got HTTP Status 404 from twitter.com
ERROR:ui.pygtk:Error getting friend list, leaving list empty
INFO:mitterlib.threadhttp.2:Got HTTP Status 404 from twitter.com

=> But when I try to post a message:

INFO:mitterlib.threadhttp.1:Got HTTP Status 403 from twitter.com
Error updating status. Please try again.

== When started with "-d":

[...]
DEBUG:mitterlib.twitter:Message to twitter: status=foo&source=mitter
DEBUG:mitterlib.twitter:Request to https://twitter.com/statuses/update.json
DEBUG:mitterlib.threadhttp.1:Body: status=foo&source=mitter
DEBUG:mitterlib.threadhttp.1:Header: Authorization=Basic Y3IwZaVzOmMlPU1haTNkYWg=
DEBUG:mitterlib.threadhttp.1:Header: User-Agent=Mitter 0.4.5
DEBUG:mitterlib.threadhttp.1:Starting request of https://twitter.com/statuses/update.json
DEBUG:mitterlib.threadhttp.1:HTTPError: 403
DEBUG:mitterlib.threadhttp.1:HTTPError: response body:
{"message":"Your account may not be allowed to perform this action. Please <a role=\"button\" class=\"js-reload\" href=\"#\">refresh the page</a> and try again."}
INFO:mitterlib.threadhttp.1:Got HTTP Status 403 from twitter.com
DEBUG:mitterlib.threadhttp.1:Request failed for callback handler: post_update


However, the project appears to be dead anyway: https://code.google.com/p/mitter/ - but "mitter" can still be installed in Fedora 22...?

Comment 4 Fedora Admin XMLRPC Client 2015-09-05 14:30:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2016-07-19 10:47:31 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.